Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class TaskLogger

    java.lang.Object
      |
      +--org.apache.tools.ant.util.TaskLogger

public final class TaskLogger
extends java.lang.Object

A facade that makes logging nicers to use.

Constructor Summary
`TaskLogger(Task task)`

Method Summary
`void` | `debug(java.lang.String message)`
`void` | `error(java.lang.String message)`
`void` | `info(java.lang.String message)`
`void` | `verbose(java.lang.String message)`
`void` | `warning(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskLogger

    public TaskLogger(Task task)

Method Detail

### info

    public void info(java.lang.String message)

### error

    public void error(java.lang.String message)

### warning

    public void warning(java.lang.String message)

### verbose

    public void verbose(java.lang.String message)

### debug

    public void debug(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.